$(document).ready(function(){
	
	$(".popup .close").click(function() {
		$(this).closest(".popup").fadeOut(500);
		return false;
	});	
	
	$(".popup-click").click(function() {
		var name        = $(this).data("name");
		var text        = $(this).data("text");
		$(".popup."+name).fadeIn(500);
		$(".popup."+name+" .modal input[name='item']").val(text);
		var heightmodal = $(".popup."+name+" .modal").outerHeight()/2;
		var topOfWindow = $(window).scrollTop();
		var winheight   = $(window).height()/2;
		if (winheight > heightmodal) {
			$(".popup."+name+" .modal").css("top",winheight-heightmodal);
		}
		else {
			$(".popup."+name+" .modal").css("top",topOfWindow+50);
		}
		return false;
	});
	
	$(document).each(function() {
		var heightmodal = $(".popup:visible .modal").outerHeight()/2;
		var topOfWindow = $(window).scrollTop();
		var winheight = $(window).height()/2;
		if (winheight > heightmodal) {
			$(".popup:visible .modal").css("top",winheight-heightmodal);
		}
		else {
			$(".popup:visible .modal").css("top","50px");
		}
	});

	$(".swipebox").fancybox();

	$(".modal-menu li a").click(function() {
		$(".popup-menu").fadeOut(500);
		$("html, body").animate({
            scrollTop: $($(this).attr("href")).offset().top + "px"
        }, {
            duration: 1000
        });
        return false;
    });

    $("header .phone .show").click(function(){
    	$(this).hide();
    	$(this).closest(".phone").find(".number").fadeIn(500);
    });

    $(".video-screen .ipad, .video-screen .play").click(function (e) {
	    e.preventDefault();
	    $(this).closest(".ipad-wrap").find('.thumb, .play').fadeOut(300);
	    $(this).closest(".ipad-wrap").find('.video').html($(this).data('video'));
	});

	$(".offer-screen .slider-big").slick({
		dots: true,
		arrows: true,
		infinite: true,
		autoplay: true,
		autoplaySpeed: 10000,
		speed: 500,
		slidesToShow: 1,
		slidesToScroll: 1,
        asNavFor: '.offer-screen .slider-min'
	});

	 $(".offer-screen .slider-min").slick({
		dots: false,
		arrows: false,
		infinite: true,
		autoplay: true,
		autoplaySpeed: 10000,
		speed: 500,
		slidesToShow: 3,
		slidesToScroll: 1,
		focusOnSelect: true,
        asNavFor: '.offer-screen .slider-big'
	});

	$(".faq-slider").slick({
		dots: true,
		arrows: true,
		infinite: true,
		autoplay: true,
		autoplaySpeed: 10000,
		speed: 500,
		slidesToShow: 5,
		slidesToScroll: 1,
		responsive: [
			{
			  breakpoint: 1000,
			  settings: {
				slidesToShow: 4,
				slidesToScroll: 1
			  }
			},
			{
			  breakpoint: 800,
			  settings: {
				slidesToShow: 3,
				slidesToScroll: 1
			  }
			},
			{
			  breakpoint: 600,
			  settings: {
				slidesToShow: 2,
				slidesToScroll: 1,
				arrows: false
			  }
			},
			{
			  breakpoint: 420,
			  settings: {
				slidesToShow: 1,
				slidesToScroll: 1,
				arrows: false
			  }
			}
	  	]
	});

	 $(".offer-screen .slider-big .slick-dots li button").each(function(){
	 	var number = $(this).text();
	 	if (number < 10) {
	 		$(this).text("0"+number);
	 	}
	 });

	 $(".offer-screen .slider-big-wrap .size-slides .size").each(function(){
	 	var size = $(".offer-screen .slider-big .slick-dots li").length;
	 	if (size < 10) {
	 		$(this).text("0"+size);
	 	}
	 	else {
	 		$(this).text(size);
	 	}
	 });

	 $(".preim-screen").each(function(){
	 	var height1 = $(".offer-screen").height()/2;
	 	var height2 = $(".offer-wraps").height() - height1;
	 	$(this).css("padding-top","110px");
	 });

	 $(".faq-slider .slick-arrow").each(function(){
	 	var width = $(".slick-dots li").length*22;
	 	$(".faq-slider .slick-prev").css("margin-left",-(width/2));
	 	$(".faq-slider .slick-next").css("margin-left",(width/2)-43);
	 });

	 function timer(){
		var thisdate = new Date();
		var hours = 24 - thisdate.getHours();
		var mins = 59 - thisdate.getMinutes();
		var sec = 59 - thisdate.getSeconds();
		if (days < 10) {
		var days = "0" + days;
		}
		if (hours <10) {
		var hours = "0" + hours;
		}
		if (mins <10) {
		var mins = "0" + mins;
		}
		if (sec <10) {
		var sec = "0" + sec;
		}
		$("#hours").text(hours);
		$("#mins").text(mins);
		$("#sec").text(sec);
	}

	setInterval(timer,50);

});

$(window).load(function(){
	var viewport_wid = $("body").width();
	if( /Android|webOS|iPhone|iPod|BlackBerry/i.test(navigator.userAgent) ) {
		$('.m-wrap').removeClass('flex-wrap');
	}
	if( viewport_wid <= 500 ) {
		$('.m-wrap').removeClass('flex-wrap');
	}
});

$(window).resize(function(){
	var viewport_wid = $("body").width();
	if( viewport_wid <= 500 ) {
		$('.m-wrap').removeClass('flex-wrap');
	}
	else {
		$('.m-wrap').addClass('flex-wrap');
	}
	$(".preim-screen").each(function(){
	 	var height1 = $(".offer-screen").height()/2;
	 	var height2 = $(".offer-wraps").height() - height1;
	 	$(this).css("padding-top","110px");
	 });
});

$(window).scroll(function () {
    $(".fixed-menu").each(function () {
		var top = $(window).scrollTop()+70;
		var imagePos= $(".insta-screen").offset().top;
		if(top > imagePos) {
			$(".fixed-menu").addClass("active");
		}
		else {
			$(".fixed-menu").removeClass("active");
		}
    });
});